Package com.xebialabs.xlrelease.domain

## Class BaseArtifact

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseArtifact

- All Implemented Interfaces:
    `Artifact`, `SourceArtifact`, `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `Attachment`, `TemplateLogo`

      @Metadata(versioned=false,
                virtual=true)
      public abstract class BaseArtifact
      extends BaseConfigurationItem
      implements SourceArtifact

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONTENT_TYPE_PROPERTY_NAME` |
    `static java.lang.String` | `EXPORT_FILENAME_PROPERTY_NAME` |
    `static java.lang.String` | `PARENT_TITLE_PROPERTY_NAME` |
    `static java.lang.String` | `PORTABLE_FILENAME_PROPERTY_NAME` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

      `CHECKSUM_PROPERTY_NAME, FILE_URI_PROPERTY_NAME, IS_RESCANNED_PROPERTY_NAME`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BaseArtifact()` |
    `protected` | `BaseArtifact​(com.xebialabs.overthere.OverthereFile file, java.lang.String contentType)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getChecksum()` |
    `java.lang.String` | `getContentType()` |
    `java.lang.String` | `getExcludeFileNamesRegex()` |
    `abstract java.lang.String` | `getExportDirectoryName()` |
    `java.lang.String` | `getExportFilename()` |
    `com.xebialabs.overthere.OverthereFile` | `getFile()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getFileEncodings()` |
    `java.lang.String` | `getFileUri()` |
    `java.util.Set<java.lang.String>` | `getPlaceholders()` |
    `java.lang.String` | `getPortableFilename()` |
    `java.lang.String` | `getTextFileNamesRegex()` |
    `void` | `setContentType​(java.lang.String contentType)` |
    `void` | `setExportFilename​(java.lang.String exportFilename)` |
    `void` | `setFile​(com.xebialabs.overthere.OverthereFile file)` |
    `void` | `setPlaceholders​(java.util.Set<java.lang.String> placeholders)` |
    `void` | `setPortableFilename​(java.lang.String portableFilename)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

      `getCredentials, getProxySettings`

- - ### Field Detail

    - #### PARENT_TITLE_PROPERTY_NAME

          public static final java.lang.String PARENT_TITLE_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PORTABLE_FILENAME_PROPERTY_NAME

          public static final java.lang.String PORTABLE_FILENAME_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### EXPORT_FILENAME_PROPERTY_NAME

          public static final java.lang.String EXPORT_FILENAME_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_PROPERTY_NAME

          public static final java.lang.String CONTENT_TYPE_PROPERTY_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BaseArtifact

          protected BaseArtifact()

    - #### BaseArtifact

          protected BaseArtifact​(com.xebialabs.overthere.OverthereFile file,
                                 java.lang.String contentType)

  - ### Method Detail

    - #### getFile

          public com.xebialabs.overthere.OverthereFile getFile()

      Specified by:
        `getFile` in interface `Artifact`

    - #### setFile

          public void setFile​(com.xebialabs.overthere.OverthereFile file)

      Specified by:
        `setFile` in interface `Artifact`

    - #### getPlaceholders

          public java.util.Set<java.lang.String> getPlaceholders()

      Specified by:
        `getPlaceholders` in interface `SourceArtifact`

    - #### setPlaceholders

          public void setPlaceholders​(java.util.Set<java.lang.String> placeholders)

      Specified by:
        `setPlaceholders` in interface `SourceArtifact`

    - #### getTextFileNamesRegex

          public java.lang.String getTextFileNamesRegex()

      Specified by:
        `getTextFileNamesRegex` in interface `SourceArtifact`

    - #### getExcludeFileNamesRegex

          public java.lang.String getExcludeFileNamesRegex()

      Specified by:
        `getExcludeFileNamesRegex` in interface `SourceArtifact`

    - #### getFileEncodings

          public java.util.Map<java.lang.String,​java.lang.String> getFileEncodings()

      Specified by:
        `getFileEncodings` in interface `SourceArtifact`

    - #### getChecksum

          public java.lang.String getChecksum()

      Specified by:
        `getChecksum` in interface `SourceArtifact`

    - #### getFileUri

          public java.lang.String getFileUri()

      Specified by:
        `getFileUri` in interface `SourceArtifact`

    - #### getContentType

          public java.lang.String getContentType()

    - #### setContentType

          public void setContentType​(java.lang.String contentType)

    - #### getExportDirectoryName

          public abstract java.lang.String getExportDirectoryName()

    - #### getExportFilename

          public java.lang.String getExportFilename()

    - #### setExportFilename

          public void setExportFilename​(java.lang.String exportFilename)

    - #### getPortableFilename

          public java.lang.String getPortableFilename()

    - #### setPortableFilename

          public void setPortableFilename​(java.lang.String portableFilename)